io_queue_run(3)

NAME
io_queue_run - Handle completed io requests

SYNOPSIS
#include <errno.h>

#include <libaio.h>

int io_queue_run(io_context_t ctx);

DESCRIPTION
io_queue_run() attempts to read all the events from the completion queue for the aio_context specified by ctx.

RETURN VALUES
May return 0 if no events are available. Will fail with -ENOSYS if not implemented.

ERRORS

EFAULT
    iocbs referenced data outside of the program's accessible address space.

EINVAL
    ctx refers to an uninitialized aio context, the iocb pointed to by iocbs contains an improperly initialized iocb.

ENOSYS
    Not implemented.

SEE ALSO
io(3), io_cancel(3), io_fsync(3), io_getevents(3), io_prep_fsync(3), io_prep_pread(3), io_prep_pwrite(3), io_queue_init(3), io_queue_release(3), io_queue_wait(3), io_set_callback(3), io_submit(3), errno(3).